#include "MyRun.hh"
#include "G4Event.hh"
#include "globals.hh"
#include "G4TrajectoryContainer.hh"
#include "G4VTrajectory.hh"
#include <iomanip>
#include "G4SDManager.hh"
#include "G4THitsMap.hh"
MyRun::MyRun()
{
	G4SDManager* manager = G4SDManager::GetSDMpointer();
	fMapId = manager->GetCollectionID("MyDetector/MyScorer");
	G4cout << "MyLog:  MyRun constructor: index of photon scorer map: " << fMapId << G4endl;

}

MyRun::~MyRun()
{}

void MyRun::RecordEvent(const G4Event* evt)
{
 numberOfEvent++;
  G4HCofThisEvent* hce = evt->GetHCofThisEvent();
 
  G4THitsMap<double>* hitsMap =  (G4THitsMap<double>*) (hce->GetHC(fMapId));
  frunHitsMap += *hitsMap;
 /* G4cout << "MyLog: number of entries " << hitsMap->entries() << G4endl;

  std::map<int,double*>::iterator iter;
  iter = hitsMap->GetMap()->begin();
  while( iter != hitsMap->GetMap()->end() )
   {
   	G4cout<< "MyLog:      value of HitsMap: "<< *iter->second << " index of value: "<< iter->first << G4endl;
   	iter++;
   }*/
 /*G4TrajectoryContainer* container = evt->GetTrajectoryContainer();

 G4cout << "MyLog: number of particle processed in this event "
         << container->size() << G4endl;
 for (G4int i = 0; i < container->size(); i++)
  {
    G4VTrajectory* traj = (*container)[i];
    G4cout << "MyLog: particle name " << std::setw(8) << traj->GetParticleName()
           << "  initial momentum: " <<  std::setprecision(2) << std::setw(4) << traj->GetInitialMomentum() << G4endl;
  }*/

}
